Subject: Re: [PATCH v3 0/6] doc: git-checkout: clarify DESCRIPTION section

From: "Julia Evans" <[email-masked]>
Date: Wed, 03 Sep 2025 17:28:27 -0400

> Not just you repeat having bulleted list in your proposed log
> messages (which I already said something about, remember?), now you
> have them in your cover letter, too?  You must be so fond of
> bulletted list X-<.

It's true, I do really love bulleted lists. I see now that I misunderstood
your previous comment about this: I'll avoid using bulleted lists in
commit messages and emails in the future.

>>      ++	Switch to _<branch>_. This sets the current branch to _<branch>_ and
>>      ++	updates the files in your working directory. Files which are
>>      ++	identical in _<branch>_ and your current commit are left unchanged
>>      ++	so that you can keep your uncommitted changes to those files.
>
> Here "left unchanged" is technically correct, but somehow it gives
> me a (n incorrect) connotation that they are not modified since
> HEAD, which is not what you wanted to say at all.  I recall that we
> once explained this not as "left unchanged", but as "changes follow
> you", and I found the explanation easier to absorb.

I like the idea of "changes follow you". Will work on making this clearer.

> OK.  Do people understand "making a(ny) changes" refers to creation
> of the new branch, I have to wonder, but if so, the above is much
> much nicer than the original text.
>
>     This fails without doing anything and without creating a new
>     branch, if checking out the <start-point> has to overwrite your
>     uncommitted changes.
>
> might be slightly better?  I dunno.

Makes sense. I'll be more explicit.